org.apache.http.auth

## Class AuthOption

- java.lang.Object
- - org.apache.http.auth.AuthOption

    @Contract(threading=IMMUTABLE)
    public final class AuthOption
    extends Object

Since:
  4.2

### Constructor Summary

Constructors
Constructor and Description
`AuthOption(AuthScheme authScheme, Credentials creds)`

### Method Summary

Methods
`AuthScheme` `getAuthScheme()`
`Credentials` `getCredentials()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AuthOption

    public AuthOption(AuthScheme authScheme,
              Credentials creds)

### Method Detail

#### getAuthScheme

    public AuthScheme getAuthScheme()

#### getCredentials

    public Credentials getCredentials()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`